Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| OSGi Service Platform Release 3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.osgi.service.http
Class NamespaceException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.osgi.service.http.NamespaceException

All Implemented Interfaces:
  java.io.Serializable

public class NamespaceException
extends java.lang.Exception

A NamespaceException is thrown to indicate an error with the caller's request to register a servlet or resources into the URI namespace of the Http Service. This exception indicates that the requested alias already is in use.

See Also:
  Serialized Form

Constructor Summary
`NamespaceException(java.lang.String message)` Construct a `NamespaceException` object with a detail message.
`NamespaceException(java.lang.String message, java.lang.Throwable exception)` Construct a `NamespaceException` object with a detail message and a nested exception.

Method Summary
`java.lang.Throwable` | `getException()` Returns the nested exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NamespaceException

    public NamespaceException(java.lang.String message)

  Construct a `NamespaceException` object with a detail message.
  Parameters:
    `message` - the detail message

### NamespaceException

    public NamespaceException(java.lang.String message,
                              java.lang.Throwable exception)

  Construct a `NamespaceException` object with a detail message and a nested exception.
  Parameters:
    `message` - the detail message
    `exception` - the nested exception

Method Detail

### getException

    public java.lang.Throwable getException()

  Returns the nested exception.
  Returns:
    the nested exception or `null` if there is no nested exception.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| OSGi Service Platform Release 3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) OSGi Alliance (2000, 2003). All Rights Reserved.